Bug 630223 - Review Request: ghc-failure - A simple type class for success/failure computations
Summary: Review Request: ghc-failure - A simple type class for success/failure computa...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Narasimhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal 630224 ghc-data-object 630271 630283 630292 ghc-http-enumerator
TreeView+ depends on / blocked
 
Reported: 2010-09-04 05:55 UTC by Ben Boeckel
Modified: 2011-01-03 20:09 UTC (History)
5 users (show)

Fixed In Version: ghc-neither-0.1.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-03 20:02:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ben Boeckel 2010-09-04 05:55:49 UTC
Spec URL: http://benboeckel.net/packaging/ghc-failure/ghc-failure.spec
SRPM URL: http://benboeckel.net/packaging/ghc-failure/ghc-failure-0.1.0-1.fc14.src.rpm
Description:
A simple type class for success/failure computations.

Unsure about the PublicDomain thing here. Block FE-LEGAL?

% lintmock fedora-14-x86_64-bb                                                     
ghc-failure.src: W: invalid-license PublicDomain
ghc-failure.src: W: strange-permission failure-0.1.0.tar.gz 0640L
ghc-failure.src: W: strange-permission ghc-failure.spec 0640L
ghc-failure.x86_64: W: invalid-license PublicDomain
ghc-failure.x86_64: W: no-documentation
ghc-failure-devel.x86_64: W: invalid-license PublicDomain
ghc-failure-prof.x86_64: E: devel-dependency ghc-failure-devel
ghc-failure-prof.x86_64: W: invalid-license PublicDomain
ghc-failure-prof.x86_64: W: no-documentation
ghc-failure-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/failure-0.1.0/libHS
failure-0.1.0_p.a
4 packages and 0 specfiles checked; 1 errors, 9 warnings.

Comment 1 Narasimhan 2010-11-21 07:44:51 UTC
SRPM link is not accessible.

Comment 2 Narasimhan 2010-11-21 10:18:33 UTC
The link is now accessible.  Clearing the needinfo flag. Will provide a review asap.

Comment 3 Narasimhan 2010-11-24 13:45:07 UTC
Awaiting new srpm and spec file after the license changed from Public Domain to BSD.

Comment 5 Ben Boeckel 2010-12-04 04:50:41 UTC
Ping?

Comment 6 Narasimhan 2010-12-05 09:47:22 UTC
Sorry for the delay, was down with fever. Here is the review.

[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-failure.spec ghc-failure-0.1.0.1-1.fc14.i686.rpm  ghc-failure-devel-0.1.0.1-1.fc14.i686.rpm ghc-failure-prof-0.1.0.1-1.fc14.i686.rpm ghc-failure-0.1.0.1-1.fc14.src.rpm 
ghc-failure.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-failure-prof.i686: E: devel-dependency ghc-failure-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-failure-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-failure-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/failure-0.1.0.1/libHSfailure-0.1.0.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-failure.src: W: strange-permission ghc-failure.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

4 packages and 1 specfiles checked; 1 errors, 4 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the bsase package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE text file not include
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
 md5sum ghc-failure-0.1.0.1-1.fc14.src/failure-0.1.0.1.tar.gz 
9c9c1ab5422de9ef11bc3ef0de7b5b12  ghc-failure-0.1.0.1-1.fc14.src/failure-0.1.0.1.tar.gz

 md5sum ~/Downloads/failure-0.1.0.1.tar.gz 
9c9c1ab5422de9ef11bc3ef0de7b5b12  /home/lvaikunt/Downloads/failure-0.1.0.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Yes, built on i686

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Tested with a combination of rpmquery --list and rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Tested with a combination of rpmquery --list and rpmquery --whatprovides
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[-]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Tested by importing the module in a simple code.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.

Comment 7 Ben Boeckel 2010-12-05 17:39:45 UTC
New Package CVS Request
=======================
Package Name: ghc-failure
Short Description: A simple type class for success/failure computations
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig

Comment 8 Jason Tibbitts 2010-12-06 15:56:52 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-12-17 12:45:45 UTC
ghc-failure-0.1.0.1-1.fc13,ghc-neither-0.1.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-failure-0.1.0.1-1.fc13,ghc-neither-0.1.0-1.fc13

Comment 10 Fedora Update System 2010-12-17 20:32:29 UTC
ghc-neither-0.1.0-1.fc13, ghc-failure-0.1.0.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-neither ghc-failure'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-failure-0.1.0.1-1.fc13,ghc-neither-0.1.0-1.fc13

Comment 11 Fedora Update System 2010-12-18 04:22:07 UTC
ghc-failure-0.1.0.1-1.fc14,ghc-neither-0.1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-failure-0.1.0.1-1.fc14,ghc-neither-0.1.0-1.fc14

Comment 12 Fedora Update System 2011-01-03 20:01:52 UTC
ghc-neither-0.1.0-1.fc13, ghc-failure-0.1.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-01-03 20:09:18 UTC
ghc-neither-0.1.0-1.fc14, ghc-failure-0.1.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.